package cn.estsh.i3plus.pojo.wms.repository;

import cn.estsh.i3plus.pojo.base.jpa.dao.BaseRepository;
import cn.estsh.i3plus.pojo.wms.bean.WmsStockSn;

/**
* @Description : 库存条码dao层
* @Reference :
* @Author : dragon.xu
* @CreateDate : 2018-11-17 15:53
* @Modify:
**/
public interface WmsStockSnRepository extends BaseRepository<WmsStockSn, Long> {
    /**
     * 按照条码查询实体
     * @param sn 条码
     * @return 库存条码实体
     */
    WmsStockSn findFirstBySn(String sn);
}
